import * as i0 from '@angular/core';
import { ElementRef, Component, Inject, Directive, NgModule } from '@angular/core';
import { registerElement } from '@nativescript/angular';
import { RadDataForm, EntityProperty, PropertyEditor, PropertyEditorParams, CustomPropertyEditor, PropertyGroup, GroupTitleStyle, PropertyEditorStyle, PropertyValidator, NonEmptyValidator, MaximumLengthValidator, MinimumLengthValidator, EmailValidator, RangeValidator, PhoneValidator, IsTrueValidator, RegExValidator, DataFormGridLayout, DataFormStackLayout } from 'nativescript-ui-dataform';

class RadDataFormComponent {
    constructor(_elementRef) {
        this._elementRef = _elementRef;
        this._dataForm = _elementRef.nativeElement;
    }
    get nativeElement() {
        return this._dataForm;
    }
    get dataForm() {
        return this._dataForm;
    }
}
RadDataFormComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.2.2", ngImport: i0, type: RadDataFormComponent, deps: [{ token: ElementRef }], target: i0.ɵɵFactoryTarget.Component });
RadDataFormComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "15.2.2", type: RadDataFormComponent, selector: "RadDataForm", ngImport: i0, template: ``, isInline: true });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.2.2", ngImport: i0, type: RadDataFormComponent, decorators: [{
            type: Component,
            args: [{
                    selector: 'RadDataForm',
                    template: ``
                }]
        }], ctorParameters: function () {
        return [{ type: i0.ElementRef, decorators: [{
                        type: Inject,
                        args: [ElementRef]
                    }] }];
    } });
class TKEntityPropertyDirective {
    constructor(_elementRef) {
        this._elementRef = _elementRef;
        this._entityProperty = this._elementRef.nativeElement;
    }
    get entityProperty() {
        return this._entityProperty;
    }
}
TKEntityPropertyDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.2.2", ngImport: i0, type: TKEntityPropertyDirective, deps: [{ token: ElementRef }], target: i0.ɵɵFactoryTarget.Directive });
TKEntityPropertyDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "15.2.2", type: TKEntityPropertyDirective, selector: "TKEntityProperty", ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.2.2", ngImport: i0, type: TKEntityPropertyDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: 'TKEntityProperty'
                }]
        }], ctorParameters: function () {
        return [{ type: i0.ElementRef, decorators: [{
                        type: Inject,
                        args: [ElementRef]
                    }] }];
    } });
class TKDataFormGridLayoutDirective {
    constructor(_elementRef) {
        this._elementRef = _elementRef;
        this._dataFormGridLayout = this._elementRef.nativeElement;
    }
    get dataFormGridLayout() {
        return this._dataFormGridLayout;
    }
}
TKDataFormGridLayoutDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.2.2", ngImport: i0, type: TKDataFormGridLayoutDirective, deps: [{ token: ElementRef }], target: i0.ɵɵFactoryTarget.Directive });
TKDataFormGridLayoutDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "15.2.2", type: TKDataFormGridLayoutDirective, selector: "TKDataFormGridLayout", ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.2.2", ngImport: i0, type: TKDataFormGridLayoutDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: 'TKDataFormGridLayout'
                }]
        }], ctorParameters: function () {
        return [{ type: i0.ElementRef, decorators: [{
                        type: Inject,
                        args: [ElementRef]
                    }] }];
    } });
class TKDataFormStackLayoutDirective {
    constructor(_elementRef) {
        this._elementRef = _elementRef;
        this._dataFormStackLayout = this._elementRef.nativeElement;
    }
    get dataFormStackLayout() {
        return this._dataFormStackLayout;
    }
}
TKDataFormStackLayoutDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.2.2", ngImport: i0, type: TKDataFormStackLayoutDirective, deps: [{ token: ElementRef }], target: i0.ɵɵFactoryTarget.Directive });
TKDataFormStackLayoutDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "15.2.2", type: TKDataFormStackLayoutDirective, selector: "TKDataFormStackLayout", ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.2.2", ngImport: i0, type: TKDataFormStackLayoutDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: 'TKDataFormStackLayout'
                }]
        }], ctorParameters: function () {
        return [{ type: i0.ElementRef, decorators: [{
                        type: Inject,
                        args: [ElementRef]
                    }] }];
    } });
class TKPropertyGroupDirective {
    constructor(_elementRef) {
        this._elementRef = _elementRef;
        this._propertyGroup = this._elementRef.nativeElement;
    }
    get propertyGroup() {
        return this._propertyGroup;
    }
}
TKPropertyGroupDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.2.2", ngImport: i0, type: TKPropertyGroupDirective, deps: [{ token: ElementRef }], target: i0.ɵɵFactoryTarget.Directive });
TKPropertyGroupDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "15.2.2", type: TKPropertyGroupDirective, selector: "TKPropertyGroup", ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.2.2", ngImport: i0, type: TKPropertyGroupDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: 'TKPropertyGroup'
                }]
        }], ctorParameters: function () {
        return [{ type: i0.ElementRef, decorators: [{
                        type: Inject,
                        args: [ElementRef]
                    }] }];
    } });
class TKPropertyEditorDirective {
    constructor(_elementRef) {
        this._elementRef = _elementRef;
        this._propertyEditor = this._elementRef.nativeElement;
    }
    get propertyEditor() {
        return this._propertyEditor;
    }
}
TKPropertyEditorDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.2.2", ngImport: i0, type: TKPropertyEditorDirective, deps: [{ token: ElementRef }], target: i0.ɵɵFactoryTarget.Directive });
TKPropertyEditorDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "15.2.2", type: TKPropertyEditorDirective, selector: "TKPropertyEditor", ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.2.2", ngImport: i0, type: TKPropertyEditorDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: 'TKPropertyEditor'
                }]
        }], ctorParameters: function () {
        return [{ type: i0.ElementRef, decorators: [{
                        type: Inject,
                        args: [ElementRef]
                    }] }];
    } });
class TKCustomPropertyEditorDirective {
    constructor(_elementRef) {
        this._elementRef = _elementRef;
        this._propertyEditor = this._elementRef.nativeElement;
    }
    get propertyEditor() {
        return this._propertyEditor;
    }
}
TKCustomPropertyEditorDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.2.2", ngImport: i0, type: TKCustomPropertyEditorDirective, deps: [{ token: ElementRef }], target: i0.ɵɵFactoryTarget.Directive });
TKCustomPropertyEditorDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "15.2.2", type: TKCustomPropertyEditorDirective, selector: "TKCustomPropertyEditor", ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.2.2", ngImport: i0, type: TKCustomPropertyEditorDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: 'TKCustomPropertyEditor'
                }]
        }], ctorParameters: function () {
        return [{ type: i0.ElementRef, decorators: [{
                        type: Inject,
                        args: [ElementRef]
                    }] }];
    } });
class TKPropertyEditorParamsDirective {
    constructor(_elementRef) {
        this._elementRef = _elementRef;
        this._propertyEditorParams = this._elementRef.nativeElement;
    }
    get propertyEditorParams() {
        return this._propertyEditorParams;
    }
}
TKPropertyEditorParamsDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.2.2", ngImport: i0, type: TKPropertyEditorParamsDirective, deps: [{ token: ElementRef }], target: i0.ɵɵFactoryTarget.Directive });
TKPropertyEditorParamsDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "15.2.2", type: TKPropertyEditorParamsDirective, selector: "TKPropertyEditorParams", ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.2.2", ngImport: i0, type: TKPropertyEditorParamsDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: 'TKPropertyEditorParams'
                }]
        }], ctorParameters: function () {
        return [{ type: i0.ElementRef, decorators: [{
                        type: Inject,
                        args: [ElementRef]
                    }] }];
    } });
class TKEditorParamsDirective {
    constructor(owner, _elementRef) {
        this.owner = owner;
        this._elementRef = _elementRef;
    }
    ngOnInit() {
        let editorParams = this._elementRef.nativeElement;
        this.owner.propertyEditor.params = editorParams;
    }
}
TKEditorParamsDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.2.2", ngImport: i0, type: TKEditorParamsDirective, deps: [{ token: TKPropertyEditorDirective }, { token: ElementRef }], target: i0.ɵɵFactoryTarget.Directive });
TKEditorParamsDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "15.2.2", type: TKEditorParamsDirective, selector: "[tKEditorParams]", ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.2.2", ngImport: i0, type: TKEditorParamsDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[tKEditorParams]'
                }]
        }], ctorParameters: function () {
        return [{ type: TKPropertyEditorDirective, decorators: [{
                        type: Inject,
                        args: [TKPropertyEditorDirective]
                    }] }, { type: i0.ElementRef, decorators: [{
                        type: Inject,
                        args: [ElementRef]
                    }] }];
    } });
class TKDataFormPropertyDirective {
    constructor(owner, _elementRef) {
        this.owner = owner;
        this._elementRef = _elementRef;
    }
    ngOnInit() {
        let property = this._elementRef.nativeElement;
        if (this.owner.dataForm.properties) {
            this.owner.dataForm.properties.push(property);
        }
        else {
            this.owner.dataForm.properties = new Array(property);
        }
    }
}
TKDataFormPropertyDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.2.2", ngImport: i0, type: TKDataFormPropertyDirective, deps: [{ token: RadDataFormComponent }, { token: ElementRef }], target: i0.ɵɵFactoryTarget.Directive });
TKDataFormPropertyDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "15.2.2", type: TKDataFormPropertyDirective, selector: "[tkDataFormProperty]", ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.2.2", ngImport: i0, type: TKDataFormPropertyDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[tkDataFormProperty]'
                }]
        }], ctorParameters: function () {
        return [{ type: RadDataFormComponent, decorators: [{
                        type: Inject,
                        args: [RadDataFormComponent]
                    }] }, { type: i0.ElementRef, decorators: [{
                        type: Inject,
                        args: [ElementRef]
                    }] }];
    } });
class TKPropertyGroupLayoutDirective {
    constructor(owner, _elementRef) {
        this.owner = owner;
        this._elementRef = _elementRef;
    }
    ngOnInit() {
        let layout = this._elementRef.nativeElement;
        this.owner.propertyGroup.layout = layout;
    }
}
TKPropertyGroupLayoutDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.2.2", ngImport: i0, type: TKPropertyGroupLayoutDirective, deps: [{ token: TKPropertyGroupDirective }, { token: ElementRef }], target: i0.ɵɵFactoryTarget.Directive });
TKPropertyGroupLayoutDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "15.2.2", type: TKPropertyGroupLayoutDirective, selector: "[tkPropertyGroupLayout]", ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.2.2", ngImport: i0, type: TKPropertyGroupLayoutDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[tkPropertyGroupLayout]'
                }]
        }], ctorParameters: function () {
        return [{ type: TKPropertyGroupDirective, decorators: [{
                        type: Inject,
                        args: [TKPropertyGroupDirective]
                    }] }, { type: i0.ElementRef, decorators: [{
                        type: Inject,
                        args: [ElementRef]
                    }] }];
    } });
class TKDataFormGroupsDirective {
    constructor(owner, _elementRef) {
        this.owner = owner;
        this._elementRef = _elementRef;
    }
    ngOnInit() {
        let property = this._elementRef.nativeElement;
        if (this.owner.dataForm.groups) {
            this.owner.dataForm.groups.push(property);
        }
        else {
            this.owner.dataForm.groups = new Array(property);
        }
    }
}
TKDataFormGroupsDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.2.2", ngImport: i0, type: TKDataFormGroupsDirective, deps: [{ token: RadDataFormComponent }, { token: ElementRef }], target: i0.ɵɵFactoryTarget.Directive });
TKDataFormGroupsDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "15.2.2", type: TKDataFormGroupsDirective, selector: "[tkDataFormGroups]", ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.2.2", ngImport: i0, type: TKDataFormGroupsDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[tkDataFormGroups]'
                }]
        }], ctorParameters: function () {
        return [{ type: RadDataFormComponent, decorators: [{
                        type: Inject,
                        args: [RadDataFormComponent]
                    }] }, { type: i0.ElementRef, decorators: [{
                        type: Inject,
                        args: [ElementRef]
                    }] }];
    } });
class TKPropertyGroupTitleStyleDirective {
    constructor(owner, _elementRef) {
        this.owner = owner;
        this._elementRef = _elementRef;
    }
    ngOnInit() {
        let titleStyle = this._elementRef.nativeElement;
        this.owner.propertyGroup.titleStyle = titleStyle;
    }
}
TKPropertyGroupTitleStyleDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.2.2", ngImport: i0, type: TKPropertyGroupTitleStyleDirective, deps: [{ token: TKPropertyGroupDirective }, { token: ElementRef }], target: i0.ɵɵFactoryTarget.Directive });
TKPropertyGroupTitleStyleDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "15.2.2", type: TKPropertyGroupTitleStyleDirective, selector: "[tkPropertyGroupTitleStyle]", ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.2.2", ngImport: i0, type: TKPropertyGroupTitleStyleDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[tkPropertyGroupTitleStyle]'
                }]
        }], ctorParameters: function () {
        return [{ type: TKPropertyGroupDirective, decorators: [{
                        type: Inject,
                        args: [TKPropertyGroupDirective]
                    }] }, { type: i0.ElementRef, decorators: [{
                        type: Inject,
                        args: [ElementRef]
                    }] }];
    } });
class TKPropertyEditorStyleDirective {
    constructor(owner, _elementRef) {
        this.owner = owner;
        this._elementRef = _elementRef;
    }
    ngOnInit() {
        let style = this._elementRef.nativeElement;
        this.owner.propertyEditor.propertyEditorStyle = style;
    }
}
TKPropertyEditorStyleDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.2.2", ngImport: i0, type: TKPropertyEditorStyleDirective, deps: [{ token: TKPropertyEditorDirective }, { token: ElementRef }], target: i0.ɵɵFactoryTarget.Directive });
TKPropertyEditorStyleDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "15.2.2", type: TKPropertyEditorStyleDirective, selector: "[tkPropertyEditorStyle]", ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.2.2", ngImport: i0, type: TKPropertyEditorStyleDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[tkPropertyEditorStyle]'
                }]
        }], ctorParameters: function () {
        return [{ type: TKPropertyEditorDirective, decorators: [{
                        type: Inject,
                        args: [TKPropertyEditorDirective]
                    }] }, { type: i0.ElementRef, decorators: [{
                        type: Inject,
                        args: [ElementRef]
                    }] }];
    } });
class TKCustomPropertyEditorStyleDirective {
    constructor(owner, _elementRef) {
        this.owner = owner;
        this._elementRef = _elementRef;
    }
    ngOnInit() {
        let style = this._elementRef.nativeElement;
        this.owner.propertyEditor.propertyEditorStyle = style;
    }
}
TKCustomPropertyEditorStyleDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.2.2", ngImport: i0, type: TKCustomPropertyEditorStyleDirective, deps: [{ token: TKCustomPropertyEditorDirective }, { token: ElementRef }], target: i0.ɵɵFactoryTarget.Directive });
TKCustomPropertyEditorStyleDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "15.2.2", type: TKCustomPropertyEditorStyleDirective, selector: "[tkCustomPropertyEditorStyle]", ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.2.2", ngImport: i0, type: TKCustomPropertyEditorStyleDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[tkCustomPropertyEditorStyle]'
                }]
        }], ctorParameters: function () {
        return [{ type: TKCustomPropertyEditorDirective, decorators: [{
                        type: Inject,
                        args: [TKCustomPropertyEditorDirective]
                    }] }, { type: i0.ElementRef, decorators: [{
                        type: Inject,
                        args: [ElementRef]
                    }] }];
    } });
class TKPropertyGroupPropertiesDirective {
    constructor(owner, _elementRef) {
        this.owner = owner;
        this._elementRef = _elementRef;
    }
    ngOnInit() {
        let property = this._elementRef.nativeElement;
        if (this.owner.propertyGroup.properties) {
            this.owner.propertyGroup.properties.push(property);
        }
        else {
            this.owner.propertyGroup.properties = new Array(property);
        }
    }
}
TKPropertyGroupPropertiesDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.2.2", ngImport: i0, type: TKPropertyGroupPropertiesDirective, deps: [{ token: TKPropertyGroupDirective }, { token: ElementRef }], target: i0.ɵɵFactoryTarget.Directive });
TKPropertyGroupPropertiesDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "15.2.2", type: TKPropertyGroupPropertiesDirective, selector: "[tkPropertyGroupProperties]", ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.2.2", ngImport: i0, type: TKPropertyGroupPropertiesDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[tkPropertyGroupProperties]'
                }]
        }], ctorParameters: function () {
        return [{ type: TKPropertyGroupDirective, decorators: [{
                        type: Inject,
                        args: [TKPropertyGroupDirective]
                    }] }, { type: i0.ElementRef, decorators: [{
                        type: Inject,
                        args: [ElementRef]
                    }] }];
    } });
class TKEntityPropertyEditorDirective {
    constructor(owner, _elementRef) {
        this.owner = owner;
        this._elementRef = _elementRef;
    }
    ngOnInit() {
        let editor = this._elementRef.nativeElement;
        this.owner.entityProperty.editor = editor;
    }
}
TKEntityPropertyEditorDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.2.2", ngImport: i0, type: TKEntityPropertyEditorDirective, deps: [{ token: TKEntityPropertyDirective }, { token: ElementRef }], target: i0.ɵɵFactoryTarget.Directive });
TKEntityPropertyEditorDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "15.2.2", type: TKEntityPropertyEditorDirective, selector: "[tkEntityPropertyEditor]", ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.2.2", ngImport: i0, type: TKEntityPropertyEditorDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[tkEntityPropertyEditor]'
                }]
        }], ctorParameters: function () {
        return [{ type: TKEntityPropertyDirective, decorators: [{
                        type: Inject,
                        args: [TKEntityPropertyDirective]
                    }] }, { type: i0.ElementRef, decorators: [{
                        type: Inject,
                        args: [ElementRef]
                    }] }];
    } });
class TKEntityPropertyValidatorsDirective {
    constructor(owner, _elementRef) {
        this.owner = owner;
        this._elementRef = _elementRef;
    }
    ngOnInit() {
        let validator = this._elementRef.nativeElement;
        if (this.owner.entityProperty.validators) {
            this.owner.entityProperty.validators.push(validator);
        }
        else {
            this.owner.entityProperty.validators = new Array(validator);
        }
    }
}
TKEntityPropertyValidatorsDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.2.2", ngImport: i0, type: TKEntityPropertyValidatorsDirective, deps: [{ token: TKEntityPropertyDirective }, { token: ElementRef }], target: i0.ɵɵFactoryTarget.Directive });
TKEntityPropertyValidatorsDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "15.2.2", type: TKEntityPropertyValidatorsDirective, selector: "[tkEntityPropertyValidators]", ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.2.2", ngImport: i0, type: TKEntityPropertyValidatorsDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[tkEntityPropertyValidators]'
                }]
        }], ctorParameters: function () {
        return [{ type: TKEntityPropertyDirective, decorators: [{
                        type: Inject,
                        args: [TKEntityPropertyDirective]
                    }] }, { type: i0.ElementRef, decorators: [{
                        type: Inject,
                        args: [ElementRef]
                    }] }];
    } });
const DATAFORM_DIRECTIVES = [RadDataFormComponent, TKDataFormPropertyDirective, TKEntityPropertyEditorDirective, TKEntityPropertyDirective, TKDataFormGroupsDirective, TKPropertyGroupPropertiesDirective, TKPropertyGroupDirective, TKPropertyGroupTitleStyleDirective, TKPropertyEditorDirective, TKPropertyEditorStyleDirective, TKEntityPropertyValidatorsDirective, TKDataFormGridLayoutDirective, TKDataFormStackLayoutDirective, TKPropertyGroupLayoutDirective, TKCustomPropertyEditorDirective, TKCustomPropertyEditorStyleDirective, TKPropertyEditorParamsDirective, TKEditorParamsDirective];
registerElement('RadDataForm', () => RadDataForm);
registerElement('TKEntityProperty', () => EntityProperty);
registerElement('TKPropertyEditor', () => PropertyEditor);
registerElement('TKPropertyEditorParams', () => PropertyEditorParams);
registerElement('TKCustomPropertyEditor', () => CustomPropertyEditor);
registerElement('TKPropertyGroup', () => PropertyGroup);
registerElement('TKGroupTitleStyle', () => GroupTitleStyle);
registerElement('TKPropertyEditorStyle', () => PropertyEditorStyle);
registerElement('TKPropertyValidator', () => PropertyValidator);
registerElement('TKNonEmptyValidator', () => NonEmptyValidator);
registerElement('TKMaximumLengthValidator', () => MaximumLengthValidator);
registerElement('TKMinimumLengthValidator', () => MinimumLengthValidator);
registerElement('TKEmailValidator', () => EmailValidator);
registerElement('TKRangeValidator', () => RangeValidator);
registerElement('TKPhoneValidator', () => PhoneValidator);
registerElement('TKIsTrueValidator', () => IsTrueValidator);
registerElement('TKRegExValidator', () => RegExValidator);
registerElement('TKDataFormGridLayout', () => DataFormGridLayout);
registerElement('TKDataFormStackLayout', () => DataFormStackLayout);
class NativeScriptUIDataFormModule {
}
NativeScriptUIDataFormModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "15.2.2", ngImport: i0, type: NativeScriptUIDataFormModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
NativeScriptUIDataFormModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "15.2.2", ngImport: i0, type: NativeScriptUIDataFormModule, declarations: [RadDataFormComponent, TKDataFormPropertyDirective, TKEntityPropertyEditorDirective, TKEntityPropertyDirective, TKDataFormGroupsDirective, TKPropertyGroupPropertiesDirective, TKPropertyGroupDirective, TKPropertyGroupTitleStyleDirective, TKPropertyEditorDirective, TKPropertyEditorStyleDirective, TKEntityPropertyValidatorsDirective, TKDataFormGridLayoutDirective, TKDataFormStackLayoutDirective, TKPropertyGroupLayoutDirective, TKCustomPropertyEditorDirective, TKCustomPropertyEditorStyleDirective, TKPropertyEditorParamsDirective, TKEditorParamsDirective], exports: [RadDataFormComponent, TKDataFormPropertyDirective, TKEntityPropertyEditorDirective, TKEntityPropertyDirective, TKDataFormGroupsDirective, TKPropertyGroupPropertiesDirective, TKPropertyGroupDirective, TKPropertyGroupTitleStyleDirective, TKPropertyEditorDirective, TKPropertyEditorStyleDirective, TKEntityPropertyValidatorsDirective, TKDataFormGridLayoutDirective, TKDataFormStackLayoutDirective, TKPropertyGroupLayoutDirective, TKCustomPropertyEditorDirective, TKCustomPropertyEditorStyleDirective, TKPropertyEditorParamsDirective, TKEditorParamsDirective] });
NativeScriptUIDataFormModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "15.2.2", ngImport: i0, type: NativeScriptUIDataFormModule });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "15.2.2", ngImport: i0, type: NativeScriptUIDataFormModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [DATAFORM_DIRECTIVES],
                    exports: [DATAFORM_DIRECTIVES]
                }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { DATAFORM_DIRECTIVES, NativeScriptUIDataFormModule, RadDataFormComponent, TKCustomPropertyEditorDirective, TKCustomPropertyEditorStyleDirective, TKDataFormGridLayoutDirective, TKDataFormGroupsDirective, TKDataFormPropertyDirective, TKDataFormStackLayoutDirective, TKEditorParamsDirective, TKEntityPropertyDirective, TKEntityPropertyEditorDirective, TKEntityPropertyValidatorsDirective, TKPropertyEditorDirective, TKPropertyEditorParamsDirective, TKPropertyEditorStyleDirective, TKPropertyGroupDirective, TKPropertyGroupLayoutDirective, TKPropertyGroupPropertiesDirective, TKPropertyGroupTitleStyleDirective };
//# sourceMappingURL=nativescript-ui-dataform-angular.mjs.map
