import { ElementRef, OnInit } from '@angular/core';
import { RadDataForm, EntityProperty, PropertyEditor, PropertyGroup, DataFormGridLayout, DataFormStackLayout, CustomPropertyEditor, PropertyEditorParams } from 'nativescript-ui-dataform';
import * as i0 from "@angular/core";
export declare class RadDataFormComponent {
    private _elementRef;
    private _dataForm;
    get nativeElement(): RadDataForm;
    constructor(_elementRef: ElementRef);
    get dataForm(): RadDataForm;
    static ɵfac: i0.ɵɵFactoryDeclaration<RadDataFormComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RadDataFormComponent, "RadDataForm", never, {}, {}, never, never, false, never>;
}
export declare class TKEntityPropertyDirective {
    private _elementRef;
    protected _entityProperty: EntityProperty;
    constructor(_elementRef: ElementRef);
    get entityProperty(): EntityProperty;
    static ɵfac: i0.ɵɵFactoryDeclaration<TKEntityPropertyDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<TKEntityPropertyDirective, "TKEntityProperty", never, {}, {}, never, never, false, never>;
}
export declare class TKDataFormGridLayoutDirective {
    private _elementRef;
    protected _dataFormGridLayout: DataFormGridLayout;
    constructor(_elementRef: ElementRef);
    get dataFormGridLayout(): DataFormGridLayout;
    static ɵfac: i0.ɵɵFactoryDeclaration<TKDataFormGridLayoutDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<TKDataFormGridLayoutDirective, "TKDataFormGridLayout", never, {}, {}, never, never, false, never>;
}
export declare class TKDataFormStackLayoutDirective {
    private _elementRef;
    protected _dataFormStackLayout: DataFormStackLayout;
    constructor(_elementRef: ElementRef);
    get dataFormStackLayout(): DataFormStackLayout;
    static ɵfac: i0.ɵɵFactoryDeclaration<TKDataFormStackLayoutDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<TKDataFormStackLayoutDirective, "TKDataFormStackLayout", never, {}, {}, never, never, false, never>;
}
export declare class TKPropertyGroupDirective {
    private _elementRef;
    protected _propertyGroup: PropertyGroup;
    constructor(_elementRef: ElementRef);
    get propertyGroup(): PropertyGroup;
    static ɵfac: i0.ɵɵFactoryDeclaration<TKPropertyGroupDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<TKPropertyGroupDirective, "TKPropertyGroup", never, {}, {}, never, never, false, never>;
}
export declare class TKPropertyEditorDirective {
    private _elementRef;
    protected _propertyEditor: PropertyEditor;
    constructor(_elementRef: ElementRef);
    get propertyEditor(): PropertyEditor;
    static ɵfac: i0.ɵɵFactoryDeclaration<TKPropertyEditorDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<TKPropertyEditorDirective, "TKPropertyEditor", never, {}, {}, never, never, false, never>;
}
export declare class TKCustomPropertyEditorDirective {
    private _elementRef;
    protected _propertyEditor: CustomPropertyEditor;
    constructor(_elementRef: ElementRef);
    get propertyEditor(): CustomPropertyEditor;
    static ɵfac: i0.ɵɵFactoryDeclaration<TKCustomPropertyEditorDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<TKCustomPropertyEditorDirective, "TKCustomPropertyEditor", never, {}, {}, never, never, false, never>;
}
export declare class TKPropertyEditorParamsDirective {
    private _elementRef;
    protected _propertyEditorParams: PropertyEditorParams;
    constructor(_elementRef: ElementRef);
    get propertyEditorParams(): PropertyEditorParams;
    static ɵfac: i0.ɵɵFactoryDeclaration<TKPropertyEditorParamsDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<TKPropertyEditorParamsDirective, "TKPropertyEditorParams", never, {}, {}, never, never, false, never>;
}
export declare class TKEditorParamsDirective implements OnInit {
    private owner;
    private _elementRef;
    constructor(owner: TKPropertyEditorDirective, _elementRef: ElementRef);
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TKEditorParamsDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<TKEditorParamsDirective, "[tKEditorParams]", never, {}, {}, never, never, false, never>;
}
export declare class TKDataFormPropertyDirective {
    private owner;
    private _elementRef;
    constructor(owner: RadDataFormComponent, _elementRef: ElementRef);
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TKDataFormPropertyDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<TKDataFormPropertyDirective, "[tkDataFormProperty]", never, {}, {}, never, never, false, never>;
}
export declare class TKPropertyGroupLayoutDirective implements OnInit {
    private owner;
    private _elementRef;
    constructor(owner: TKPropertyGroupDirective, _elementRef: ElementRef);
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TKPropertyGroupLayoutDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<TKPropertyGroupLayoutDirective, "[tkPropertyGroupLayout]", never, {}, {}, never, never, false, never>;
}
export declare class TKDataFormGroupsDirective implements OnInit {
    private owner;
    private _elementRef;
    constructor(owner: RadDataFormComponent, _elementRef: ElementRef);
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TKDataFormGroupsDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<TKDataFormGroupsDirective, "[tkDataFormGroups]", never, {}, {}, never, never, false, never>;
}
export declare class TKPropertyGroupTitleStyleDirective implements OnInit {
    private owner;
    private _elementRef;
    constructor(owner: TKPropertyGroupDirective, _elementRef: ElementRef);
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TKPropertyGroupTitleStyleDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<TKPropertyGroupTitleStyleDirective, "[tkPropertyGroupTitleStyle]", never, {}, {}, never, never, false, never>;
}
export declare class TKPropertyEditorStyleDirective implements OnInit {
    private owner;
    private _elementRef;
    constructor(owner: TKPropertyEditorDirective, _elementRef: ElementRef);
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TKPropertyEditorStyleDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<TKPropertyEditorStyleDirective, "[tkPropertyEditorStyle]", never, {}, {}, never, never, false, never>;
}
export declare class TKCustomPropertyEditorStyleDirective implements OnInit {
    private owner;
    private _elementRef;
    constructor(owner: TKCustomPropertyEditorDirective, _elementRef: ElementRef);
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TKCustomPropertyEditorStyleDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<TKCustomPropertyEditorStyleDirective, "[tkCustomPropertyEditorStyle]", never, {}, {}, never, never, false, never>;
}
export declare class TKPropertyGroupPropertiesDirective implements OnInit {
    private owner;
    private _elementRef;
    constructor(owner: TKPropertyGroupDirective, _elementRef: ElementRef);
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TKPropertyGroupPropertiesDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<TKPropertyGroupPropertiesDirective, "[tkPropertyGroupProperties]", never, {}, {}, never, never, false, never>;
}
export declare class TKEntityPropertyEditorDirective implements OnInit {
    private owner;
    private _elementRef;
    constructor(owner: TKEntityPropertyDirective, _elementRef: ElementRef);
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TKEntityPropertyEditorDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<TKEntityPropertyEditorDirective, "[tkEntityPropertyEditor]", never, {}, {}, never, never, false, never>;
}
export declare class TKEntityPropertyValidatorsDirective implements OnInit {
    private owner;
    private _elementRef;
    constructor(owner: TKEntityPropertyDirective, _elementRef: ElementRef);
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TKEntityPropertyValidatorsDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<TKEntityPropertyValidatorsDirective, "[tkEntityPropertyValidators]", never, {}, {}, never, never, false, never>;
}
export declare const DATAFORM_DIRECTIVES: (typeof RadDataFormComponent | typeof TKEntityPropertyDirective | typeof TKDataFormGridLayoutDirective | typeof TKDataFormStackLayoutDirective | typeof TKPropertyGroupDirective | typeof TKPropertyEditorDirective | typeof TKCustomPropertyEditorDirective | typeof TKPropertyEditorParamsDirective | typeof TKEditorParamsDirective | typeof TKDataFormPropertyDirective | typeof TKPropertyGroupLayoutDirective | typeof TKDataFormGroupsDirective | typeof TKPropertyGroupTitleStyleDirective | typeof TKPropertyEditorStyleDirective | typeof TKCustomPropertyEditorStyleDirective | typeof TKPropertyGroupPropertiesDirective | typeof TKEntityPropertyEditorDirective | typeof TKEntityPropertyValidatorsDirective)[];
export declare class NativeScriptUIDataFormModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<NativeScriptUIDataFormModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<NativeScriptUIDataFormModule, [typeof RadDataFormComponent, typeof TKDataFormPropertyDirective, typeof TKEntityPropertyEditorDirective, typeof TKEntityPropertyDirective, typeof TKDataFormGroupsDirective, typeof TKPropertyGroupPropertiesDirective, typeof TKPropertyGroupDirective, typeof TKPropertyGroupTitleStyleDirective, typeof TKPropertyEditorDirective, typeof TKPropertyEditorStyleDirective, typeof TKEntityPropertyValidatorsDirective, typeof TKDataFormGridLayoutDirective, typeof TKDataFormStackLayoutDirective, typeof TKPropertyGroupLayoutDirective, typeof TKCustomPropertyEditorDirective, typeof TKCustomPropertyEditorStyleDirective, typeof TKPropertyEditorParamsDirective, typeof TKEditorParamsDirective], never, [typeof RadDataFormComponent, typeof TKDataFormPropertyDirective, typeof TKEntityPropertyEditorDirective, typeof TKEntityPropertyDirective, typeof TKDataFormGroupsDirective, typeof TKPropertyGroupPropertiesDirective, typeof TKPropertyGroupDirective, typeof TKPropertyGroupTitleStyleDirective, typeof TKPropertyEditorDirective, typeof TKPropertyEditorStyleDirective, typeof TKEntityPropertyValidatorsDirective, typeof TKDataFormGridLayoutDirective, typeof TKDataFormStackLayoutDirective, typeof TKPropertyGroupLayoutDirective, typeof TKCustomPropertyEditorDirective, typeof TKCustomPropertyEditorStyleDirective, typeof TKPropertyEditorParamsDirective, typeof TKEditorParamsDirective]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<NativeScriptUIDataFormModule>;
}
